All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class PartialFolderResultsException

    com.sas.services.information.PartialFolderResultsException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public class PartialFolderResultsException

This Exception gets thrown if an Information Services search is performed which may return multiple objects, and at least one exception is thrown while retrieving metadata. This specific exception class is used if the results set is a folder structure. The Folder may be empty, meaning that all results had an error of some type.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.PartialResultsException
`_payload`

Constructor Summary
`PartialFolderResultsException()` Default constructor
`PartialFolderResultsException(FolderInterface results, java.lang.String message)` Construct a new exception with a text message.
`PartialFolderResultsException(java.lang.String message)` Construct a new exception with a text message.

Method Summary
`FolderInterface` | `getResults()`

Methods inherited from class com.sas.services.information.PartialResultsException
`addException, getExceptions, getMessage`

Constructor Detail

### PartialFolderResultsException

    public PartialFolderResultsException()

  Default constructor

### PartialFolderResultsException

    public PartialFolderResultsException(java.lang.String message)

  Construct a new exception with a text message.

  Parameters:
    `message` -

### PartialFolderResultsException

    public PartialFolderResultsException(FolderInterface results,
                                         java.lang.String message)

  Construct a new exception with a text message.

  Parameters:
    `results` - The set of results that were found, which may be a subset of the results that were desired.
    `message` - A message that indicates at least one of the causes of the failure.

Method Detail

### getResults

    public FolderInterface getResults()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.